package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.core.basic.api.CourseCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.CourseReq;

@Service
public class CourseCloudServiceClient extends BasicCloudClientSupport implements CourseCloudService {

	@Autowired
	private RestTemplate restTemplate;
	
	@Override
	public void saveCourse(CourseReq courseReq) {
		post("course", courseReq, CourseReq.class);
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

}
