package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.core.basic.api.StudentCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.StudentReq;

@Service
public class StudentCloudServiceClient extends BasicCloudClientSupport implements StudentCloudService{

	@Autowired
	private RestTemplate restTemplate;
	
	@Override
	public void saveStudent(StudentReq studentReq) {
		post("student", studentReq, StudentReq.class);
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	
	
}
