package cn.com.qmth.examcloud.core.basic.api.controller.bean;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * 权限组
 *
 * @author WANGWEI
 * @date 2018年5月23日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class PrivilegeGroupBean implements JsonSerializable {

	private static final long serialVersionUID = -3654724059677675683L;

	/**
	 * 权限组ID
	 */
	private Long id;

	/**
	 * 权限组名称
	 */
	private String name;

	/**
	 * 权限组编码
	 */
	private String code;

	/**
	 * 应用ID
	 */
	private Long appId;

	/**
	 * 应用名称
	 */
	private String appName;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 顶级机构名称
	 */
	private String rootOrgName;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Long getAppId() {
		return appId;
	}

	public void setAppId(Long appId) {
		this.appId = appId;
	}

	public String getAppName() {
		return appName;
	}

	public void setAppName(String appName) {
		this.appName = appName;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getRootOrgName() {
		return rootOrgName;
	}

	public void setRootOrgName(String rootOrgName) {
		this.rootOrgName = rootOrgName;
	}

}
