package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;

import cn.com.qmth.examcloud.core.basic.dao.entity.Permission;

public interface PermissionRepo extends JpaRepository<Permission,Integer>{
	
	public List<Permission> findBySystemNameAndType(String systemName,String type);
	
	public List<Permission> findByIdIn(List<Integer> ids);
	
	//by weiwenhai 根据id删除权限
	public void delete(Integer id);
	
	//根据父级权限id查询所有子权限
	public List<Permission> findByParentId(Integer id);
}
