package cn.com.qmth.examcloud.core.basic.dao.entity;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;

/**
 * 机构功能关联
 * 
 * @author wang wei
 * @date 2018年4月9日
 */
@Entity
@Table(name = "ecs_core_org_function")
@IdClass(OrgFunctionPK.class)
public class OrgFunction implements Serializable {

	private static final long serialVersionUID = 3282637192076703638L;

	@Id
	@Column(name = "org_id")
	private Long orgId;

	@Id
	@Column(name = "function_id")
	private Long funcId;

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public Long getFuncId() {
		return funcId;
	}

	public void setFuncId(Long funcId) {
		this.funcId = funcId;
	}

}
