package cn.com.qmth.examcloud.core.basic.api;

import java.util.List;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.core.basic.api.bean.RoleBean;
import cn.com.qmth.examcloud.core.basic.api.request.GetPrivilegesReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetPrivilegesResp;

/**
 * 角色权限云服务
 * 
 * @author WANGWEI
 *
 */
public interface RolePrivilegeCloudService extends CloudService {

	/**
	 * 获取用户权限
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	GetPrivilegesResp getPrivileges(GetPrivilegesReq req);

	/**
	 * 获取所有角色
	 *
	 * @author WANGWEI
	 * @return
	 */
	List<RoleBean> getAllRoles();

}
