package cn.com.qmth.examcloud.core.basic.api.request;

import cn.com.qmth.examcloud.commons.web.cloud.api.BaseRequest;

public class StudentReq extends BaseRequest{

	private static final long serialVersionUID = 9066273303019460160L;
	
	/**
	 * 学生姓名
	 */
	private String name;
	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;
	/**
	 * 机构ID
	 */
	private Long orgId;
	/**
	 * 学生code
	 */
	private String studentCode;
	/**
	 * 身份证号码
	 */
	private String identityNumber;
	/**
	 * 创建用户ID
	 */
	private  Long userId;

	
	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getStudentCode() {
		return studentCode;
	}

	public void setStudentCode(String studentCode) {
		this.studentCode = studentCode;
	}

	public String getIdentityNumber() {
		return identityNumber;
	}

	public void setIdentityNumber(String identityNumber) {
		this.identityNumber = identityNumber;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}
	
}
