package cn.com.qmth.examcloud.core.basic.dao;

import org.springframework.data.repository.Repository;

import java.io.Serializable;

/**
 * Created by songyue on 18/1/19.
 */
public interface BaseMemRepository<T, ID extends Serializable> extends Repository<T, ID> {

    void set(ID id, T entity);

    T get(ID id);

    void remove(ID id);
}
