package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.Course;

public interface CourseRepo extends JpaRepository<Course, Long>,QueryByExampleExecutor<Course>, JpaSpecificationExecutor<Course> {

	List<Course> findByOrgId(Long orgId);

	Course findByOrgIdAndCode(Long orgId, String code);
	
	List<Course> findByIdNotIn(List<Long> ids);

	@Query("select t from Course t where t.orgId = ?1 and (t.code like %?2% or t.name like %?2%) and t.enable = true")
	List<Course> findByCodeName(Long orgId,String codeName);

}
