package cn.com.qmth.examcloud.core.basic.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.ExamSite;

/**
 * Created by songyue on 17/1/13.
 */
public interface ExamSiteRepo extends JpaRepository<ExamSite,Long>,QueryByExampleExecutor<ExamSite>{

    List<ExamSite> findByOrgId(Long orgId);

    @Query(nativeQuery = true,value = "select *from ecs_core_exam_site where org_id=:orgId and code=:code")
    ExamSite findFirstByOrgIdAndCode(@Param("orgId") Long orgId, @Param("code")String code);


}
