package cn.com.qmth.examcloud.core.basic.service.bean;

import java.io.Serializable;

/**
 * 登陆信息
 * 
 * @author WANGWEI
 *
 */
public class LoginInfo implements Serializable {

	private static final long serialVersionUID = 1305354276321732681L;

	/**
	 * 顶级机构ID
	 */
	private String rootOrgId;

	/**
	 * 域名
	 */
	private String domain;

	/**
	 * 登陆账号类型
	 */
	private String accountType;

	/**
	 * 登陆账号值
	 */
	private String accountValue;

	/**
	 * 密码
	 */
	private String password;

	public String getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(String rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getDomain() {
		return domain;
	}

	public void setDomain(String domain) {
		this.domain = domain;
	}

	public String getAccountType() {
		return accountType;
	}

	public void setAccountType(String accountType) {
		this.accountType = accountType;
	}

	public String getAccountValue() {
		return accountValue;
	}

	public void setAccountValue(String accountValue) {
		this.accountValue = accountValue;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

}
