package cn.com.qmth.examcloud.core.basic.service.bean;

import java.io.Serializable;

import cn.com.qmth.examcloud.commons.base.util.excel.ExcelProperty;

/**
 * Created by songyue on 17/1/13.
 */
public class OrgDto implements Serializable{

    private static final long serialVersionUID = -592353272256492483L;

    private Long id;
    /**
     * 顶级机构id，无上级时为0；eg.学校即是顶级
     */
    private Long rootId;
    /**
     * 父级机构id，无上级时为0；eg.学习中心的父级为学校
     */
    private Long parentId;

    @ExcelProperty(name = "机构名称",index = 0)
    private String name;

    /**
     * 学习中心代码
     */
    @ExcelProperty(name = "机构代码",index = 1)
    private String code;

    /**
     * 考点名称
     */
    @ExcelProperty(name = "考点名称",index = 2)
    private String examSiteName;

    /**
     * 考点代码
     */
    @ExcelProperty(name = "考点代码",index = 3)
    private String examSiteCode;

    /**
     * 联系人
     */
    @ExcelProperty(name = "联系人",index = 4)
    private String contacts;

    /**
     * 联系电话
     */
    @ExcelProperty(name = "联系电话",index = 5)
    private String telphone;

    private Boolean enable;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRootId() {
        return rootId;
    }

    public void setRootId(Long rootId) {
        this.rootId = rootId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getExamSiteName() {
        return examSiteName;
    }

    public void setExamSiteName(String examSiteName) {
        this.examSiteName = examSiteName;
    }

    public String getExamSiteCode() {
        return examSiteCode;
    }

    public void setExamSiteCode(String examSiteCode) {
        this.examSiteCode = examSiteCode;
    }

    public String getContacts() {
        return contacts;
    }

    public void setContacts(String contacts) {
        this.contacts = contacts;
    }

    public String getTelphone() {
        return telphone;
    }

    public void setTelphone(String telphone) {
        this.telphone = telphone;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public OrgDto() {
    }
}
