package cn.com.qmth.examcloud.core.basic.service.bean;

import cn.com.qmth.examcloud.commons.base.util.excel.ExcelProperty;
import cn.com.qmth.examcloud.core.basic.dao.entity.Specialty;

/**
 * @Description 专业
 * @author weiwenhai
 * @date 2017年8月7号
 */
public class SpecialtyDto {

	@ExcelProperty(index = 1,name = "专业代码")
	private String code;
	
	@ExcelProperty(index = 0,name = "专业名称")
	private String name;
	
	private Long orgId;
	
	private String enable;
	
	public SpecialtyDto(){}
	
	public SpecialtyDto(Specialty specialty){
		this.code = specialty.getCode();
		this.name = specialty.getName();
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getEnable() {
		return enable;
	}

	public void setEnable(String enable) {
		this.enable = enable;
	}
}
